Bug 101910 - Deleted data row does not update chart range
Summary: Deleted data row does not update chart range
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.7.2 release
Hardware: All All
: medium minor
Assignee: Markus Mohrhard
URL:
Whiteboard: target:5.3.0 target:5.1.6 target:5.2.3
Keywords: regression
Depends on:
Blocks:
 
Reported: 2016-09-05 16:58 UTC by Jason
Modified: 2016-10-04 15:27 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screen Shot (167.45 KB, image/tiff)
2016-09-05 17:00 UTC, Jason
Details
Screenshot of the problem (125.90 KB, image/jpeg)
2016-09-28 19:03 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jason 2016-09-05 16:58:00 UTC
When I delete the last row in a data range, the chart range does not adjust. When you double click on the chart, the selected data range still includes the deleted row. This doesn't seem to happen when the deleted row is in the middle of the data range, only when it is the last row of the data range.
Comment 1 Jason 2016-09-05 17:00:59 UTC Comment hidden (obsolete)
Comment 2 Jason 2016-09-06 02:50:00 UTC
It only seems to happen when you add a row at the end then delete it. I tried the same thing in Open Office and it worked fine.
Comment 3 Buovjaga 2016-09-28 19:03:41 UTC
Created attachment 127705 [details]
Screenshot of the problem
Comment 4 Buovjaga 2016-09-28 19:13:05 UTC
Repro.

Interestingly, this happens in 3.6, but not in 3.3.

I tried searching for duplicates, but could not find any.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.0.alpha0+
Build ID: 7cf444454c0c27e2f6d764164ea880b87163f45a
CPU Threads: 8; OS Version: Linux 4.7; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on September 27th 2016

Arch Linux 64-bit
Version 3.6.7.2 (Build ID: e183d5b)

Arch Linux 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 5 Commit Notification 2016-10-01 02:09:18 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5f658dc87794036182aa1f8586d82c5ee997cd8b

tdf#101910, mark ScRangeList updated when DeleteArea was used

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2016-10-01 11:24:05 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dc41255dc725dfa912326cc5d9e420bd66471c64

add test for tdf#101910

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2016-10-04 15:14:19 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ab80caf6359ac1bcf95b113b6c3b543dee0ed105&h=libreoffice-5-1

tdf#101910, mark ScRangeList updated when DeleteArea was used

It will be available in 5.1.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2016-10-04 15:27:55 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=685071d10a4cbe556b0c83342b18aeb97dc878fd&h=libreoffice-5-2

tdf#101910, mark ScRangeList updated when DeleteArea was used

It will be available in 5.2.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.